Package org.jbpm.services.task.commands

## Class ArchiveTasksCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Integer>
  - - org.jbpm.services.task.commands.ArchiveTasksCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Integer>`, `org.kie.api.command.ExecutableCommand<Integer>`

      public class ArchiveTasksCommand
      extends TaskCommand<Integer>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArchiveTasksCommand()` |
    `ArchiveTasksCommand​(List<org.kie.api.task.model.TaskSummary> tasks)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `List<org.kie.api.task.model.TaskSummary>` | `getTasks()` |
    `void` | `setTasks​(List<org.kie.api.task.model.TaskSummary> tasks)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchiveTasksCommand

          public ArchiveTasksCommand()

    - #### ArchiveTasksCommand

          public ArchiveTasksCommand​(List<org.kie.api.task.model.TaskSummary> tasks)

  - ### Method Detail

    - #### execute

          public Integer execute​(org.kie.api.runtime.Context cntxt)

    - #### getTasks

          public List<org.kie.api.task.model.TaskSummary> getTasks()

    - #### setTasks

          public void setTasks​(List<org.kie.api.task.model.TaskSummary> tasks)